> This page is for Developers.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://zuora.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://zuora.ferndocs.com/_mcp/server.

# Create an order

POST https://rest.test.zuora.com/v1/orders
Content-Type: application/json

**Note:** This operation is only available if you have the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature enabled. If you are an existing Zuora Subscribe and Amend customer, we recommend you enable Orders Harmonization to access the Orders feature. With Orders, you can access both existing functions for subscription and billing management and the   new features on Zuora Billing.

**Note:** The [Order Line Items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items) feature is now generally available to all Zuora customers. You need to enable the [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature to access the [Order Line Items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items) feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) will have the [Order Line Items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items) feature enabled by default.

You can use this operation to create subscriptions and make changes to subscriptions by creating orders. You can also use this operation to create order line items by creating orders. The following tutorials demonstrate how to use this operation:

* [Create a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/subscribe-and-amend/create-subscriptions/creating-a-subscription)
* [Add a Product to a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/order-actions-tutorials/add-products-to-subscriptions)
* [Create a Ramp Deal](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/ramps-and-ramp-metrics/product-mid-interval-updates-on-ramp-deals-addition)
* [Add a Product Mid-Interval Update on a Ramp Deal](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/ramps-and-ramp-metrics/product-mid-interval-updates-on-ramp-deals-addition)
* [Add a Product in a Ramp Deal](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/ramps-and-ramp-metrics/products-addition-in-ramp-deals)
* [Change the Terms and Conditions of a Ramp Deal](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/ramps-and-ramp-metrics/terms-and-conditions-of-ramp-deals-changes)
* [Change the Owner of a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/order-actions-tutorials/owners-of-subscriptions-changes)
* [Change the Terms and Conditions of a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/subscribe-and-amend/amend-subscriptions/terms-and-conditions-of-subscriptions/change-the-terms-and-conditions-of-a-subscription)
* [Renew a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/subscribe-and-amend/amend-subscriptions/subscriptions-renewal)
* [Renew a Subscription and Upgrade a Product](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/order-actions-tutorials/subscriptions-and-upgrade-products-renewal)
* [Replace a Product in a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/order-actions-tutorials/replace-products-in-subscriptions)
* [Update a Product in a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/subscribe-and-amend/amend-subscriptions/products-updation-to-an-amendment/update-a-product-in-an-existing-subscription)
* [Cancel a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/order-actions-tutorials/subscriptions-cancelation)
* [Remove a Product from a Subscription](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/order-actions-tutorials/remove-products-from-subscriptions)
* [Create sales order line items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items/sales-order-line-items-creation)
* [Associate order line items with new subscriptions](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items/associate-order-line-items-with-subscriptions)
* [Return order line items](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-non-subscription-transactions/order-line-items/order-line-items-return)

You can also use this operation to create orders and save the orders as Scheduled Orders.

In addition, you can use this operation to place a standalone order to subscribe without pre-defining a product catalog in Zuora Billing. For more information, see Create a subscription using a standalone order.

**Note:** If you received a timeout error message when creating an order, the call is still running in the backend and the order will be created.

The limit of orders allowed on a subscription is 1000.

The limit of order line items allowed in an order is 100.

Zuora has the following limits on the Orders synchronous API to prevent performance degradation:

* Up to 50 subscriptions are allowed in a single [Create an order](https://developer.zuora.com/api-references/api/operation/POST_Order) or [Preview an order](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrder) operation call.
* Up to 50 order actions are allowed in a single [Create an order](https://developer.zuora.com/api-references/api/operation/POST_Order) or [Preview an order](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrder) operation call.
* Up to 50 order actions are allowed on a single subscription in a [Create an order](https://developer.zuora.com/api-references/api/operation/POST_Order) or [Preview an order](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrder) operation call.

If you have an Order that exceeds any limits of the above, Zuora recommends you use the following asynchronous API operations:

* [Create an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_CreateOrderAsynchronously)
* [Preview an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrderAsynchronously)
* [Retrieve the status and response of a job](https://developer.zuora.com/api-references/api/operation/GET_JobStatusAndResponse) for checking the status of the asynchronous API operations

Zuora has the following limits on the Orders asynchronous API operations to prevent performance degradation:

* Up to 300 subscriptions are allowed in a single [Create an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_CreateOrderAsynchronously) or [Preview an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrderAsynchronously) operation call.
* Up to 300 order actions are allowed in a single [Create an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_CreateOrderAsynchronously) or [Preview an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrderAsynchronously) operation call.
* Up to 300 order actions are allowed on a single subscription in a [Create an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_CreateOrderAsynchronously) or [Preview an order asynchronously](https://developer.zuora.com/api-references/api/operation/POST_PreviewOrderAsynchronously) operation call.

**Note:** When you are to suspend a subcription (via the `suspend` order action), if in the same "Create an order" call you are to perform other subsequent order actions on the supscription to suspend, you must first resume the subscription (via a `resume` order action).

**Note:** When using this operation to create an account, create a subscription, run billing, and collect payment in a single call, if any error occurs during the call, such as a payment processing failure and a tax engine failure, then all the other steps will be rolled back. This means that the invoice will not be generated, the subscription will not be created, and the account will not be created.

**Note:** The characters `#`, `?`, and `/` are not allowed in the Orders operations.

Reference: https://zuora.ferndocs.com/developers/api-reference/zuora-api/orders-and-subscriptions/orders/post-order

## Authentication

- `Authorization` header (bearer token, required) — Use `Bearer {{token}}` in the `Authorization` header for authentication.

## Servers

- `https://rest.test.zuora.com` (US Developer & Central Sandbox (incl. Test Drive), default)
- `https://rest.sandbox.na.zuora.com` (US API Sandbox Cloud 1)
- `https://rest.apisandbox.zuora.com` (US API Sandbox Cloud 2)
- `https://rest.na.zuora.com` (US Production Cloud 1)
- `https://rest.zuora.com` (US Production Cloud 2)
- `https://rest.test.eu.zuora.com` (EU Developer & Central Sandbox)
- `https://rest.sandbox.eu.zuora.com` (EU API Sandbox)
- `https://rest.eu.zuora.com` (EU Production)
- `https://rest.test.ap.zuora.com` (APAC Developer & Central Sandbox)
- `https://rest.ap.zuora.com` (APAC Production)

## Request

### Query parameters

- `returnIds` (boolean, optional, default: false) — Specify whether to return IDs associated with the numbers returned in the "Create an order" operation.

### Headers

- `Idempotency-Key` (string, optional) — Specify a unique idempotency key if you want to perform an idempotent POST or PATCH request. Do not use this header in other request types. With this header specified, the Zuora server can identify subsequent retries of the same request using this value, which prevents the same operation from being performed multiple times by accident.
- `Accept-Encoding` (string, optional) — Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.
- `Content-Encoding` (string, optional) — Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.
- `Zuora-Track-Id` (string, optional) — A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue. The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).
- `Zuora-Entity-Ids` (string, optional) — An entity ID. If you have [Zuora Multi-entity](https://knowledgecenter.zuora.com/BB_Introducing_Z_Business/Multi-entity) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.
- `Zuora-Org-Ids` (string, optional) — Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header. The IDs must be a sub-set of the user's accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user's accessible orgs.
- `Zuora-Version` (string, optional) — The minor API version. For a list of available minor versions, see [API upgrades](https://developer.zuora.com/v1-api-reference/api-upgrades/).

### Body (application/json)

This endpoint expects a POSTOrderRequestType.

- `orderDate` (date, required) — The date when the order is signed. All the order actions under this order will use this order date as the contract effective date if the contract effective date field is skipped or its value is left as null.
- `category` (enum, optional, default: NewSales) — Category of the order to indicate a product sale or return. Default value is `NewSales`.
  - Allowed values: `NewSales`, `Return`
- `customFields` (map from string to any, optional) — Container for custom fields of an Order object.
- `description` (string, optional) — A description of the order.
- `existingAccountId` (string, optional) — The account ID under which this order will be created. This field sets the default invoice owner account and subscription owner account for any new subscriptions in the order. To override these defaults for individual subscriptions, use the `subscriptionOwnerAccountNumber` and `invoiceOwnerAccountNumber` nested fields in the `subscriptions` field. If you want to relax the restriction that the `existingAccountNumber` must be the invoice owner of the subscriptions in this order, submit a request to Zuora Global Support. **Note:** You can specify either the `existingAccountNumber` or `existingAccountId` field, but not both.
- `existingAccountNumber` (string, optional) — The account number under which this order will be created. This field sets the default invoice owner account and subscription owner account for any new subscriptions in the order. To override these defaults for individual subscriptions, use the `subscriptionOwnerAccountNumber` and `invoiceOwnerAccountNumber` nested fields in the `subscriptions` field. If you want to relax the restriction that the `existingAccountNumber` must be the invoice owner of the subscriptions in this order, submit a request to Zuora Global Support.
- `newAccount` (CreateOrderNewAccount, optional) — Container for the data access control field.
- `orderLineItems` (list of CreateOrderOrderLineItem, optional) — [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) are non subscription based items created by an Order, representing transactional charges such as one-time fees, physical goods, or professional service charges that are not sold as subscription services. With the Order Line Items feature enabled, you can now launch non-subscription and unified monetization business models in Zuora, in addition to subscription business models. If you do not have the **Create Order Line Items Without Product Catalog** billing permission, you can only create order line items from existing products by specifying the product rate plan charge ID in the `productRatePlanChargeId` field. For more information about billing permissions, see Billing Roles. **Note:** The [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature is now generally available to all Zuora customers. You need to enable the [Orders](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AA_Overview_of_Orders#Orders) feature to access the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) will have the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items) feature enabled by default.
- `orderNumber` (string, optional) — The order number of the new order. If not provided, system will auto-generate a number for this order. **Note:** The characters `#`, `?`, and `/` are not allowed in this field. Additionally, to ensure compatibility with the UI when viewing orders, use only the following special characters: `_`,`-`, `.`, `~`, `*`, `(`, `)`, and `'`.
- `processingOptions` (processingOptionsOrdersWithDelayedCapturePayment, optional) — The container for billing processing options and payment processing options. **Note:** - This field is not supported in draft orders. - When you use the "Create an order" operation to create an account, create a subscription, run billing, and collect payment in a single call, if any error occurs during the call, such as a payment processing failure and a tax engine failure, then all the other steps will be rolled back. In this case, neither the invoice will be generated, nor the subscription nor the account will be created. - When you use the "Create an order" operation to cancel a subscription with `refund` and `writeOff`, if the `refund` or `writeOff` fails, `cancelSubscription`, `runBilling`, and `collectPayment` still can succeed. - When you use the "Create an order" operation, the `collectPayment` and `refund` fields cannot be set to `true` simultaneously. Otherwise, the order will not be proceeded.
- `reasonCode` (string, optional) — Values of reason code configured in **Billing Settings** > **Configure Reason Codes** through Zuora UI. Indicates the reason when a return order line item occurs.
- `schedulingOptions` (PostOrderRequestTypeSchedulingOptions, optional) — Information of scheduled order.
- `status` (enum, optional) — The status of the order. The default value is `Completed`. The following values are supported: - `Draft`: The order is in draft status. - `Pending`: The order is in pending status. - `Completed`: The order is in completed status. - `Scheduled`: The order is in scheduled status and it is only valid if the Scheduled Orders feature is enabled. - `Executing`: The scheduled order is executed by a scheduler and it is only valid if the Scheduled Orders feature is enabled. - `Failed`: The scheduled order has failed. **Note:** If you have the Pending Subscription Processing feature turned on and want to create a completed order with an active subscription with pending charges, you must specify `Completed` in this field because the default order status is `Pending` for this scenario.
  - Allowed values: `Draft`, `Pending`, `Completed`, `Scheduled`, `Executing`, `Failed`
- `subscriptions` (list of PostOrderRequestTypeSubscriptionsItems, optional) — Each item includes a set of order actions, which will be applied to the same base subscription. When you create an order that involves multiple subscriptions, these subscriptions can have different invoice owner accounts or subscription owner accounts.

## Response

### 200

OK

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of PostOrderResponseTypeReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.
- `accountId` (string, optional) — The account ID for the order. This field is returned instead of the `accountNumber` field if the `returnIds` query parameter is set to `true`.
- `accountNumber` (string, optional) — The account number for the order.
- `commitments` (list of CommitmentOutput, optional) — The commitments created by this order request.
- `creditMemoIds` (list of string, optional) — An array of the credit memo IDs generated in this order request. The credit memo is only available if you have the Invoice Settlement feature enabled. This field is returned instead of the `creditMemoNumbers` field if the `returnIds` query parameter is set to `true`.
- `creditMemoNumbers` (list of string, optional) — An array of the credit memo numbers generated in this order request. The credit memo is only available if you have the Invoice Settlement feature enabled.
- `invoiceIds` (list of string, optional) — An array of the invoice IDs generated in this order request. Normally it includes one invoice ID only, but can include multiple items when a subscription was tagged as invoice separately. This field is returned instead of the `invoiceNumbers` field if the `returnIds` query parameter is set to `true`.
- `invoiceNumbers` (list of string, optional) — An array of the invoice numbers generated in this order request. Normally it includes one invoice number only, but can include multiple items when a subscription was tagged as invoice separately.
- `orderId` (string, optional) — The ID of the order created. This field is returned instead of the `orderNumber` field if the `returnIds` query parameter is set to `true`.
- `orderLineItems` (list of PostOrderResponseTypeOrderLineItemsItems, optional) — [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) are non subscription based items created by an Order, representing transactional charges such as one-time fees, physical goods, or professional service charges that are not sold as subscription services. With the Order Line Items feature enabled, you can now launch non-subscription and unified monetization business models in Zuora, in addition to subscription business models. **Note:** The [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature is now generally available to all Zuora customers. You need to enable the [Orders](https://knowledgecenter.zuora.com/BC_Subscription_Management/Orders/AA_Overview_of_Orders#Orders) feature to access the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AA_Overview_of_Order_Line_Items) feature. As of Zuora Billing Release 313 (November 2021), new customers who onboard on [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) will have the [Order Line Items](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items) feature enabled by default.
- `orderNumber` (string, optional) — The order number of the order created.
- `paidAmount` (string, optional) — The total amount collected in this order request.
- `paymentId` (string, optional) — The payment Id that is collected in this order request. This field is returned instead of the `paymentNumber` field if the `returnIds` query parameter is set to `true`.
- `paymentNumber` (string, optional) — The payment number that is collected in this order request.
- `ramps` (list of PostOrderResponseTypeRampsItems, optional) — **Note**: This field is only available if you have the Ramps feature enabled. The [Orders](https://docs.zuora.com/en/zuora-billing/manage-accounts-subscriptions-and-non-subscriptions/manage-subscription-transactions/orders/orders-introduction/overview-of-orders) feature must be enabled before you can access the [Ramps](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Ramps_and_Ramp_Metrics/A_Overview_of_Ramps_and_Ramp_Metrics) feature. The Ramps feature is available for customers with Enterprise and Nine editions by default. If you are a Growth customer, see [Zuora Editions](https://docs.zuora.com/en/entitlements/current-entitlements/zuora-editions) for pricing information coming October 2020. The ramp definitions created by this order request.
- `refunds` (list of PostOrderResponseTypeRefundsItems, optional) — Container for refunds.
- `status` (enum, optional) — Status of the order. `Pending` is only applicable for an order that contains a `CreateSubscription` order action.
  - Allowed values: `Draft`, `Pending`, `Completed`, `Scheduled`
- `subscriptionIds` (list of string, optional) — Container for the subscription IDs of the subscriptions in an order. This field is returned if the `returnIds` query parameter is set to `true`.
- `writeOff` (list of PostOrderResponseTypeWriteOffItems, optional) — Container for write-offs.

## Errors

### 500 Internal Server Error

Internal Server Error

- `reasons` (list of ErrorResponseReasonsItems, optional)

### 400 Client Request Error

Request Errors

- `processId` (string, optional) — The ID of the process that handles the operation.
- `reasons` (list of CommonResponseReasonsItems, optional) — The container of the error code and message. This field is available only if the `success` field is `false`.
- `requestId` (string, optional) — Unique identifier of the request.
- `success` (boolean, optional) — Indicates whether the call succeeded.

## Types

### CreateOrderNewAccount

Container for the data access control field.

- `billCycleDay` (integer, required) — Day of the month that the account prefers billing periods to begin on. If set to 0, the bill cycle day will be set as "AutoSet".
- `billToContact` (BillToContactPostOrder, required) — Container for custom fields of a Contact object.
- `currency` (string, required) — 3 uppercase character currency code. For payment method authorization, if the `paymentMethod` > `currencyCode` field is specified, `currencyCode` is used. Otherwise, this `currency` field is used for payment method authorization. If no currency is specified for the account, the default currency of the account is then used.
- `name` (string, required)
- `accountNumber` (string, optional)
- `additionalEmailAddresses` (string, optional) — List of additional email addresses to receive emailed invoices. Values should be a comma-separated list of email addresses.
- `allowInvoiceEdit` (boolean, optional) — Indicates if associated invoices can be edited. Values are: * `true` * `false` (default)
- `autoPay` (boolean, optional) — Specifies whether future payments are to be automatically billed when they are due. Possible values are `true`, `false`.
- `batch` (string, optional) — **Note**: By default, you have 50 configurable account batches. To increase the limit to 200 batches, you must have the Performance Booster Elite package.
- `communicationProfileId` (string, optional)
- `creditCard` (creditCard, optional) — Default payment method associated with an account. Only credit card payment methods are supported.
- `creditMemoTemplateId` (string, optional) — **Note:** This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the credit memo template, configured in **Billing Settings** > **Manage Billing Document Configuration** through the Zuora UI. For example, 2c92c08a6246fdf101626b1b3fe0144b.
- `crmId` (string, optional)
- `customFields` (AccountObjectCustomFields, optional) — Container for custom fields of an Account object.
- `customerServiceRepName` (string, optional) — Name of the account's customer service representative, if applicable.
- `debitMemoTemplateId` (string, optional) — **Note:** This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information. The unique ID of the debit memo template, configured in **Billing Settings** > **Manage Billing Document Configuration** through the Zuora UI. For example, 2c92c08d62470a8501626b19d24f19e2.
- `hpmCreditCardPaymentMethodId` (string, optional) — The ID of the payment method associated with this account. The payment method specified for this field will be set as the default payment method of the account. If the `autoPay` field is set to `true`, you must provide the credit card payment method ID for either this field or the `creditCard` field, but not both. For the Credit Card Reference Transaction payment method, you can specify the payment method ID in this field or use the `paymentMethod` field to create a CC Reference Transaction payment method for an account.
- `invoiceDeliveryPrefsEmail` (boolean, optional) — Specifies whether to turn on the invoice delivery method 'Email' for the new account. Values are: * `true` (default). Turn on the invoice delivery method 'Email' for the new account. * `false`. Turn off the invoice delivery method 'Email' for the new account.
- `invoiceDeliveryPrefsPrint` (boolean, optional) — Specifies whether to turn on the invoice delivery method 'Print' for the new account. Values are: * `true`. Turn on the invoice delivery method 'Print' for the new account. * `false` (default). Turn off the invoice delivery method 'Print' for the new account.
- `invoiceTemplateId` (string, optional)
- `notes` (string, optional)
- `organizationLabel` (string, optional) — Name of the organization that the account belongs to. This field is only required when you have already turned on Multi-Org feature.
- `parentId` (string, optional) — Identifier of the parent customer account for this Account object. Use this field if you have Customer Hierarchy enabled.
- `partnerAccount` (boolean, optional, default: false) — Whether the customer account is a partner, distributor, or reseller. You can set this field to `true` if you have business with distributors or resellers, or operating in B2B model to manage numerous subscriptions through concurrent API requests. After this field is set to `true`, the calculation of account metrics is performed asynchronously during operations such as subscription creation, order changes, invoice generation, and payments. **Note**: This field is available only if you have the Reseller Account feature enabled.
- `paymentGateway` (string, optional)
- `paymentMethod` (POSTPaymentMethodRequest, optional) — Payment method information associated with an account.
- `paymentTerm` (string, optional) — **Note**: If you want to specify a payment term when creating a new account, you must set a value in this field. If you do not set a value in this field, Zuora will use the default value set in **Billing Settings** > **Payment Terms** from Zuora UI.
- `purchaseOrderNumber` (string, optional) — The number of the purchase order associated with this account. Purchase order information generally comes from customers.
- `salesRep` (string, optional) — The name of the sales representative associated with this account, if applicable.
- `sequenceSetId` (string, optional, nullable) — The ID of the sequence set to assign to the customer account. The billing documents to generate for this account will adopt the prefix and starting document number configured in the sequence set.
- `shipToContact` (ShipToContactPostOrder, optional) — Container for custom fields of a Contact object.
- `shipToSameAsBillTo` (boolean, optional) — Whether the ship-to contact and bill-to contact are the same entity. The created account has the same bill-to contact and ship-to contact entity only when all the following conditions are met in the request body: - This field is set to `true`. - A bill-to contact is specified. - No ship-to contact is specified.
- `soldToContact` (SoldToContactPostOrder, optional) — Container for custom fields of a Contact object.
- `soldToSameAsBillTo` (boolean, optional) — Whether the sold-to contact and bill-to contact are the same entity. The created account has the same bill-to contact and sold-to contact entity only when all the following conditions are met in the request body: - This field is set to `true`. - A bill-to contact is specified. - No sold-to contact is specified.
- `taxInfo` (TaxInfo, optional) — Information about the tax exempt status of a customer account.

### CreateOrderOrderLineItem

- `UOM` (string, optional) — Specifies the units to measure usage.
- `accountingCode` (string, optional) — The accounting code for the Order Line Item.
- `adjustmentLiabilityAccountingCode` (string, optional) — The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration).
- `adjustmentRevenueAccountingCode` (string, optional) — The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration).
- `amountPerUnit` (double, optional) — The actual charged amount per unit for the Order Line Item. If you set the `inlineDiscountType`, `inlineDiscountPerUnit`, and `listPricePerUnit` fields, the system will automatically generate the `amountPerUnit` field. You shall not set the `amountPerUnit` field by yourself.
- `billTargetDate` (date, optional) — The target date for the Order Line Item to be picked up by bill run for billing.
- `billTo` (string, optional) — The ID of the bill-to contact of an order line item. Specify an existing contact under the billing account as the bill-to contact of the order line item. The billing account is the order account. **Note**: If an order's category is set to **Return** in a return Order Line Item, it will inherit the original Order Line Item's `billTo` contact automatically. You cannot specify a different value.
- `billingRule` (enum, optional, default: TriggerWithoutFulfillment) — The billing rule for the Order Line Item.
  - Allowed values: `TriggerWithoutFulfillment`, `TriggerAsFulfillmentOccurs`
- `contractAssetAccountingCode` (string, optional) — The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration).
- `contractLiabilityAccountingCode` (string, optional) — The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration).
- `contractRecognizedRevenueAccountingCode` (string, optional) — The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration).
- `currency` (string, optional) — The currency for the order line item. You can specify a currency when creating an order line item through the "Create an order" operation.
- `customFields` (map from string to any, optional) — Container for custom fields of an Order Line Item object.
- `deferredRevenueAccountingCode` (string, optional) — The deferred revenue accounting code for the Order Line Item.
- `description` (string, optional) — The description of the Order Line Item.
- `excludeItemBillingFromRevenueAccounting` (boolean, optional, default: false) — The flag to exclude Order Line Item related invoice items, invoice item adjustments, credit memo items, and debit memo items from revenue accounting. **Note**: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled.
- `excludeItemBookingFromRevenueAccounting` (boolean, optional, default: false) — The flag to exclude Order Line Item from revenue accounting. **Note**: This field is only available if you have the Order to Revenue or [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration) feature enabled.
- `inlineDiscountPerUnit` (double, optional) — Use this field in accordance with the `inlineDiscountType` field, in the following manner: * If the `inlineDiscountType` field is set as `Percentage`, this field specifies the discount percentage for each unit of the order line item. For exmaple, if you specify `5` in this field, the discount percentage is 5%. * If the `inlineDiscountType` field is set as `FixedAmount`, this field specifies the discount amount on each unit of the order line item. For exmaple, if you specify `10` in this field, the discount amount on each unit of the order line item is 10. Once you set the `inlineDiscountType`, `inlineDiscountPerUnit`, and `listPricePerUnit` fields, the system will automatically generate the `amountPerUnit` field. You shall not set the `amountPerUnit` field by yourself.
- `inlineDiscountType` (enum, optional) — Use this field to specify the inline discount type, which can be `Percentage`, `FixedAmount`, or `None`. The default value is `Percentage`. Use this field together with the `inlineDiscountPerUnit` field to specify inline discounts for order line items. The inline discount is applied to the list price of an order line item. Once you set the `inlineDiscountType`, `inlineDiscountPerUnit`, and `listPricePerUnit` fields, the system will automatically generate the `amountPerUnit` field. You shall not set the `amountPerUnit` field by yourself.
  - Allowed values: `Percentage`, `FixedAmount`, `None`
- `isAllocationEligible` (boolean, optional) — This field is used to identify if the charge segment is allocation eligible in revenue recognition. **Note**: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support.
- `isUnbilled` (boolean, optional) — This field is used to dictate how to perform the accounting during revenue recognition. **Note**: The field is only available if you have the Order to Revenue feature enabled. To enable this field, submit a request at Zuora Global Support.
- `itemCategory` (enum, optional, default: Sales) — The category for the Order Line Item, to indicate a product sale or return.
  - Allowed values: `Sales`, `Return`
- `itemName` (string, optional) — The name of the Order Line Item.
- `itemNumber` (string, optional) — The number of the Order Line Item. Use this field to specify a custom item number for your Order Line Item. If you are to use this field, you must set all the item numbers in an order when there are several order line items in the order.
- `itemState` (enum, optional) — The state of an Order Line Item. If you want to generate billing documents for order line items, you must set this field to `SentToBilling`. For invoice preview, you do not need to set this field. See [State transitions for an order, order line item, and fulfillment](https://knowledgecenter.zuora.com/Billing/Subscriptions/Orders/Order_Line_Items/AB_Order_Line_Item_States_and_Order_States) for more information.
  - Allowed values: `Executing`, `Booked`, `SentToBilling`, `Complete`, `Cancelled`
- `itemType` (enum, optional) — The type of the Order Line Item.
  - Allowed values: `Product`, `Fee`, `Services`
- `listPricePerUnit` (double, optional) — The list price per unit for the Order Line Item.
- `originalOrderLineItemNumber` (string, optional) — The number of the original sale order line item for a return order line item.
- `originalOrderNumber` (string, optional) — The number of the original sale order for a return order line item.
- `ownerAccountNumber` (string, optional) — Use this field to assign an existing account as the owner of an order line item.
- `productCode` (string, optional) — The product code for the Order Line Item.
- `productRatePlanChargeId` (string, optional) — ID of a product rate plan charge. Only one-time charges are supported. If you do not have the **Create Order Line Items Without Product Catalog** billing permission, you must specify this field to create the order line item from an existing product rate plan charge.
- `purchaseOrderNumber` (string, optional) — Used by customers to specify the Purchase Order Number provided by the buyer.
- `quantity` (double, optional) — The quantity of units, such as the number of authors in a hosted wiki service.
- `recognizedRevenueAccountingCode` (string, optional) — The recognized revenue accounting code for the Order Line Item.
- `relatedSubscriptionNumber` (string, optional) — Use this field to relate an order line item to a subscription when you create the order line item. * To relate an order line item to a new subscription which is yet to create in the same "Create an order" call, use this field in combination with the `subscriptions` > `subscriptionNumber` field in the "Create an order" operation. Specify this field to the same value as that of the `subscriptions` > `subscriptionNumber` field when you make the "Create an order" call. * To relate an order line item to an existing subscription, specify this field to the subscription number of the existing subscription.
- `revenueRecognitionRule` (string, optional) — The Revenue Recognition rule for the Order Line Item.
- `revenueRecognitionTiming` (enum, optional) — Specifies the type of revenue recognition timing. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. **Note**: This field is only available if you have the Order to Revenue feature enabled.
  - Allowed values: `Upon Billing Document Posting Date`, `Upon Order Activation Date`
- `revenueAmortizationMethod` (enum, optional) — Specifies the type of revenue amortization method. Predefined options are listed as enum values in this API Reference. Other options might also be avaliable depending on the revenue recognition policy configuration in the Zuora Billing UI. **Note**: This field is only available if you have the Order to Revenue feature enabled.
  - Allowed values: `Immediate`, `Ratable Using Start And End Dates`
- `invoiceGroupNumber` (string, optional, nullable) — The number of the invoice group associated with the order line item. After enabling the Invoice Grouping feature, you can specify invoice group numbers to bill subscriptions and order line items based on specific criteria. For the same account, Zuora generates separate invoices for subscriptions and order line items, each identified by unique invoice group numbers. For more information, see [Invoice Grouping](https://knowledgecenter.zuora.com/Billing/Subscriptions/Invoice_Grouping). **Note**: * If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is `null` in the response body. * If you have the Flexible Billing Attributes feature enabled, and you do not specify this field in the request during subscription creation, the value of this field is automatically set to `null` in the response body. * You can specify this field on a sales order line item when its state (that is, the `itemState` field) is `Executing`, `Booked`, or `SentToBilling`.
- `sequenceSetId` (string, optional) — The ID of the sequence set associated with the order line item. **Note**: * This field is only available in the request body if you have the Flexible Billing Attributes feature enabled. Otherwise, the response value for this field is `null`. * If you don't specify this field in the request during the creation, OLI uses the value from the account automatically. * You can specify this field on a sales order line item when its state (that is, the `itemState` field) is `Executing`, `Booked`, or `SentToBilling`.
- `paymentTerm` (string, optional) — The payment term name associated with the order line item. **Note**: * If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is `null` in the response body. * If you don't specify this field in the request during the creation, OLI uses the value from the account automatically. * You can specify this field on a sales order line item when its state (that is, the `itemState` field) is `Executing`, `Booked`, or `SentToBilling`.
- `invoiceTemplateId` (string, optional) — The ID of the invoice template associated with the order line item. **Note**: * If you have the Flexible Billing Attributes feature disabled, this field is unavailable in the request body and the value of this field is `null` in the response body. * If you don't specify this field in the request during the creation, OLI uses the value from the account automatically. * You can specify this field on a sales order line item when its state (that is, the `itemState` field) is `Executing`, `Booked`, or `SentToBilling`.
- `shipTo` (string, optional) — Use this field to assign an existing account as the ship-to contact of an order line item, by the following rules: * If the `ownerAccountNumber` field is set, then this field must be the ID of a contact that belongs to the owner account of the order line item. * If the `ownerAccountNumber` field is not set, then this field must be the ID of a contact that belongs to the billing account of the order line item. The billing account is the order account. **Note**: If an order's category is set to **Return** in a return Order Line Item, it will inherit the original Order Line Item's `shipTo` contact automatically. You cannot specify a different value.
- `soldTo` (any, optional) — Use this field to assign an existing account as the sold-to contact of an order line item, by the following rules: * If the `ownerAccountNumber` field is set, then this field must be the ID of a contact that belongs to the owner account of the order line item. * If the `ownerAccountNumber` field is not set, then this field must be the ID of a contact that belongs to the billing account of the order line item. The billing account is the order account. **Note**: If an order's category is set to **Return** in a return Order Line Item, it will inherit the original Order Line Item's `soldTo` contact automatically. You cannot specify a different value.
- `taxCode` (string, optional) — The tax code for the Order Line Item.
- `taxMode` (enum, optional) — The tax mode for the Order Line Item.
  - Allowed values: `TaxInclusive`, `TaxExclusive`
- `transactionEndDate` (date, optional) — The date a transaction is completed. The default value of this field is the transaction start date. Also, the value of this field should always equal or be later than the value of the `transactionStartDate` field.
- `transactionStartDate` (date, optional) — The date a transaction starts. The default value of this field is the order date.
- `unbilledReceivablesAccountingCode` (string, optional) — The accounting code on the Order Line Item object for customers using [Zuora Billing - Revenue Integration](https://knowledgecenter.zuora.com/Zuora_Revenue/Zuora_Billing_-_Revenue_Integration).

### processingOptionsOrdersWithDelayedCapturePayment

The container for billing processing options and payment processing options. **Note:** - This field is not supported in draft orders. - When you use the "Create an order" operation to create an account, create a subscription, run billing, and collect payment in a single call, if any error occurs during the call, such as a payment processing failure and a tax engine failure, then all the other steps will be rolled back. In this case, neither the invoice will be generated, nor the subscription nor the account will be created. - When you use the "Create an order" operation to cancel a subscription with `refund` and `writeOff`, if the `refund` or `writeOff` fails, `cancelSubscription`, `runBilling`, and `collectPayment` still can succeed. - When you use the "Create an order" operation, the `collectPayment` and `refund` fields cannot be set to `true` simultaneously. Otherwise, the order will not be proceeded.

- `applicationOrder` (list of string, optional) — The priority order to apply credit memos and/or unapplied payments to an invoice. Possible item values are: `CreditMemo`, `UnappliedPayment`. **Note:** - This field is valid only if the `applyCredit` field is set to `true`. - If no value is specified for this field, the default priority order is used, ["CreditMemo", "UnappliedPayment"], to apply credit memos first and then apply unapplied payments. - If only one item is specified, only the items of the spedified type are applied to invoices. For example, if the value is `["CreditMemo"]`, only credit memos are used to apply to invoices.
- `applyCredit` (boolean, optional) — Whether to automatically apply credit memos or unapplied payments, or both to an invoice. If the value is true, the credit memo or unapplied payment on the order account will be automatically applied to the invoices generated by this order. The credit memo generated by this order will not be automatically applied to any invoices. **Note:** This field is only available if you have [Invoice Settlement](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement) enabled. The Invoice Settlement feature is generally available as of Zuora Billing Release 296 (March 2021). This feature includes Unapplied Payments, Credit and Debit Memo, and Invoice Item Settlement. If you want to enable Invoice Settlement, see [Invoice Settlement Enablement and Checklist Guide](https://knowledgecenter.zuora.com/Billing/Billing_and_Payments/Invoice_Settlement/Invoice_Settlement_Migration_Checklist_and_Guide) for more information.
- `applyCreditBalance` (boolean, optional) — Indicates if any credit balance on a customer's account is automatically applied to invoices. If no value is specified then this field defaults to false. This feature is not available if you have enabled the Invoice Settlement feature.
- `billingOptions` (ProcessingOptionsOrdersWithDelayedCapturePaymentBillingOptions, optional)
- `collectPayment` (boolean, optional) — Indicates if the current request needs to collect payments. This value can not be 'true' when 'runBilling' flag is 'false'.
- `electronicPaymentOptions` (ProcessingOptionsOrdersWithDelayedCapturePaymentElectronicPaymentOptions, optional) — Container for the electronic payment options.
- `refund` (boolean, optional) — Indicates whether to refund after subscription cancelation. Default is `false`. **Note**: When refunding a subscription that is not invoiced separately, if you do not enable the Invoice Item Settlement feature, you will encounter the following error during the cancel and refund process: “Cancellation/Refund failed because of the following reason: Invoice is linked to multiple subscriptions. Cancellation was not processed.”
- `refundAmount` (double, optional) — Indicates the amount to be refunded. Required if the `refund` field is `true`.
- `refundReasonCode` (string, optional) — A code identifying the reason for the refund transaction. The value must be an existing payment refund reason code listed in **Payments Settings** > **Configure Reason Codes**. If you do not specify the field or leave the field with an empty value, Zuora uses the default payment refund reason code.
- `runBilling` (boolean, optional) — Indicates if the current request needs to generate an invoice. The invoice will be generated against all subscriptions included in this order.
- `writeOff` (boolean, optional) — Indicates whether to write off the outstanding balance on the invoice after refund. Default is `false`. **Note**: * When refunding a subscription that is not invoiced separately, if you do not enable the Invoice Item Settlement feature, you will encounter the following error during the cancel and refund process: “Cancellation/Refund failed because of the following reason: Invoice is linked to multiple subscriptions. Cancellation was not processed.” * The Invoice Settlement feature must have been enabled for write-off. * When this field is set to `true`, the generated credit memos have a reason code of `Write-off` and it cannot be overridden.
- `writeOffBehavior` (ProcessingOptionsOrdersWithDelayedCapturePaymentWriteOffBehavior, optional) — The financial information of the credit memo items generated to write off the invoice balance. **Note:** - All the credit memo items that are used to write off the invoice will be applied with the same financial information. - Credit memo items generated from the unconsumed services of the canceled subscription will not be applied with the finance information specified here.

### PostOrderRequestTypeSchedulingOptions

Information of scheduled order.

- `scheduledDate` (date, optional) — The date for the order scheduled.
- `scheduledDatePolicy` (enum, optional) — Date policy of the scheduled order.
  - Allowed values: `SpecificDate`

### PostOrderRequestTypeSubscriptionsItems

- `customFields` (SubscriptionObjectCustomFields, optional) — Container for custom fields of a Subscription object.
- `notes` (string, optional) — Notes about the subscription. These notes are only visible to Zuora users. Notes set in this field will override the value of the `notes` field within the createSubscription order action.
- `orderActions` (list of CreateOrderOrderAction, optional) — The actions to be applied to the subscription. Order actions will be stored with the sequence when it was provided in the request.
- `quote` (QuoteObjectFields, optional) — The fields populated for a quote when a quote is sent to Zuora Billing from Zuora Quote.
- `ramp` (RampRequest, optional) — Container of the ramp definitions. It is used to create, update, or remove the ramp definition for the new subscription.
- `subscriptionNumber` (string, optional) — Leave this empty to represent new subscription creation. Specify a subscription number to update an existing subscription.

### PostOrderResponseTypeReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommitmentOutput

The Commitment object in the "Create an order" or "Update an order" response.

- `id` (string, optional) — ID of the commitment
- `commitmentNumber` (string, optional) — Number of the commitment.
- `prepaymentType` (enum, optional) — The prepayment type of the commitment.
  - Allowed values: `NotPrepaid`, `FullyPrepaid`
- `type` (enum, optional) — The type of the commitment.
  - Allowed values: `MinCommitment`, `MaxCommitment`
- `startDate` (date, optional) — The start date of the commitment.
- `endDate` (date, optional) — The end date of the commitment.
- `status` (enum, optional) — The status of the commitment.
  - Allowed values: `Cancel1ed`, `Active`, `Evaluated`, `CancelledPendingEvaluation`
- `totalAmount` (double, optional) — The total amount of the commitment.
- `schedules` (list of CommitmentOutputSchedulesItems, optional) — A list of Commitment schedule objects.

### PostOrderResponseTypeOrderLineItemsItems

- `id` (string, optional) — The sytem generated Id for the Order Line Item.
- `itemNumber` (string, optional) — The number for the Order Line Item.

### PostOrderResponseTypeRampsItems

- `rampNumber` (string, optional) — The number of the ramp definition.
- `subscriptionNumber` (string, optional) — The number of the subscription that this ramp deal definition is applied to.

### PostOrderResponseTypeRefundsItems

- `number` (string, optional) — The refund number.
- `refundInvoiceNumbers` (list of string, optional) — An array of the refunded invoice numbers generated in this order request.
- `status` (enum, optional) — The status of the refund.
  - Allowed values: `Success`, `Error`

### PostOrderResponseTypeWriteOffItems

- `amount` (double, optional) — The amount written off from the invoice balance.
- `failedReason` (string, optional) — The reason of write-off failure.
- `invoiceNumber` (string, optional) — The number of the invoice that is written off.
- `status` (enum, optional) — The status of the write-off.
  - Allowed values: `Success`, `Failed`
- `writeOffCreditMemoNumber` (string, optional) — The number of the credit memo that is written off.

### ErrorResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### CommonResponseReasonsItems

- `code` (string, optional) — The error code of response.
- `message` (string, optional) — The detail information of the error response

### BillToContactPostOrder

Container for custom fields of a Contact object.

- `firstName` (string, required) — First name of the contact.
- `lastName` (string, required) — Last name of the contact.
- `address1` (string, optional) — First line of the contact's address. This is often a street address or a business name.
- `address2` (string, optional) — Second line of the contact's address.
- `city` (string, optional) — City of the contact's address.
- `contactDescription` (string, optional) — A description for the contact.
- `country` (string, optional) — Country; must be a valid country name or abbreviation. If using Zuora Tax, you must specify a country in the bill-to contact to calculate tax.
- `county` (string, optional) — County of the contact's address.
- `fax` (string, optional) — Fax number of the contact.
- `homePhone` (string, optional) — Home phone number of the contact.
- `mobilePhone` (string, optional) — Mobile phone number of the contact.
- `nickname` (string, optional) — Nickname of the contact.
- `otherPhone` (string, optional) — Additional phone number of the contact. Use the `otherPhoneType` field to specify the type of phone number.
- `otherPhoneType` (enum, optional) — Specifies the type of phone number in the `otherPhone` field.
  - Allowed values: `Work`, `Mobile`, `Home`, `Other`
- `personalEmail` (string, optional) — Personal email address of the contact.
- `postalCode` (string, optional) — ZIP code or other postal code of the contact's address.
- `state` (string, optional) — State or province of the contact's address.
- `taxRegion` (string, optional, nullable) — Region defined in your taxation rules. Only applicable if you use Zuora Tax.
- `workEmail` (string, optional) — Business email address of the contact.
- `workPhone` (string, optional) — Business phone number of the contact.

### creditCard

Default payment method associated with an account. Only credit card payment methods are supported.

- `cardHolderInfo` (AccountCreditCardHolder, optional) — Information about the cardholder of a credit card payment method associated with an account. If you do not provide information about the cardholder, Zuora uses the account's bill-to contact.
- `cardNumber` (string, optional) — Card number. Once set, you cannot update or query the value of this field. The value of this field is only available in masked format. For example, XXXX-XXXX-XXXX-1234 (hyphens must not be used when you set the credit card number).
- `cardType` (enum, optional) — Type of card.
  - Allowed values: `Visa`, `MasterCard`, `AmericanExpress`, `Discover`, `JCB`, `Diners`, `CUP`, `Maestro`, `Electron`, `AppleVisa`, `AppleMasterCard`, `AppleAmericanExpress`, `AppleDiscover`, `AppleJCB`, `Elo`, `Hipercard`, `Naranja`, `Nativa`, `TarjetaShopping`, `Cencosud`, `Argencard`, `Cabal`
- `expirationMonth` (integer, optional) — Expiration date of the card.
- `expirationYear` (integer, optional) — Expiration year of the card.
- `securityCode` (string, optional) — CVV or CVV2 security code of the card. To ensure PCI compliance, Zuora does not store the value of this field.

### AccountObjectCustomFields

Container for custom fields of an Account object.

### POSTPaymentMethodRequest

Payment method information associated with an account.

- `type`: `CreditCard` (CreditCard)
  - `cardHolderInfo` (CreatePaymentMethodCardholderInfo, required) — Container for cardholder information. The nested `cardHolderName` field is required.
  - `cardNumber` (string, required) — Credit card number.
  - `cardType` (string, required) — The type of the credit card. Possible values include `Visa`, `MasterCard`, `AmericanExpress`, `Discover`, `JCB`, and `Diners`. For more information about credit card types supported by different payment gateways, see Supported Payment Gateways.
  - `expirationMonth` (integer, required) — One or two digit expiration month (1-12) of the credit card.
  - `expirationYear` (integer, required) — Four-digit expiration year of the credit card.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `cardMaskNumber` (string, optional) — The masked card number. Currently, this field is only supported on certain integrations. See this article for more information.
  - `checkDuplicated` (boolean, optional) — Indicates whether the duplication check is performed when you create a new credit card payment method. The default value is `false`. With this field set to `true`, Zuora will check all active payment methods associated with the same billing account to ensure that no duplicate credit card payment methods are created. An error is returned if a duplicate payment method is found. The following fields are used for the duplication check: - `cardHolderName` - `expirationMonth` - `expirationYear` - `creditCardMaskNumber`. It is the masked credit card number generated by Zuora. For example, `************1234`. **This field is being deprecated.** To achieve the same purpose, use the `processingOptions` > `checkDuplicated` field of the payment method object.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodCreditCardGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `identityNumber` (string, optional) — The identity number of the cardholder. This field is required for Credit Card payment methods in certain countries such as Brazil.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodCreditCardMandateInfo, optional) — The container of the mandate information for the payment method.
  - `mitConsentAgreementRef` (string, optional) — Specifies your reference for the stored credential consent agreement that you have established with the customer. Only applicable if you set the `mitProfileAction` field.
  - `mitConsentAgreementSrc` (enum, optional) — Required if you set the `mitProfileAction` field. Specifies how the consent agreement has been established with the customer. The allowed value is `External`. If you do not specify the `mitProfileAction` field, Zuora will automatically create a stored credential profile for the payment method, with the default value `External` set to this field.
    - Allowed values: `External`
  - `mitNetworkTransactionId` (string, optional) — Specifies the ID of a network transaction. Only applicable if you set the `mitProfileAction` field to `Persist`.
  - `mitProfileAction` (enum, optional) — Specifies how Zuora creates and activates the stored credential profile. - `Activate` - Use this value if you are creating the stored credential profile after receiving the customer's consent. Zuora will create the stored credential profile then send a cardholder-initiated transaction (CIT) to the payment gateway to validate the stored credential profile. If the CIT succeeds, the status of the stored credential profile will be `Active`. If the CIT does not succeed, Zuora will not create a stored credential profile. If the payment gateway does not support the stored credential transaction framework, the status of the stored credential profile will be `Agreed`. - `Persist` - Use this value if the stored credential profile represents a stored credential profile in an external system. The status of the payment method's stored credential profile will be `Active`. If you do not specify this field, Zuora will automatically create a stored credential profile for the payment method, with the default value `Activate` set to this field.
    - Allowed values: `Activate`, `Persist`
  - `mitProfileAgreedOn` (date, optional) — The date on which the profile is agreed. The date format is `yyyy-mm-dd`.
  - `mitProfileType` (enum, optional) — Required if you set the `mitProfileAction` field. Indicates the type of the stored credential profile to process recurring or unsecheduled transactions. If you do not specify the `mitProfileAction` field, Zuora will automatically create a stored credential profile for the payment method, with the default value `Recurring` set to this field.
    - Allowed values: `Recurring`, `Unscheduled`
  - `processingOptions` (CreatePaymentMethodCreditCardProcessingOptions, optional) — The container for payment method processing options.
  - `screeningAmount` (double, optional) — For Chase Paymentech Orbital Gateway integrations, if the Safetech Fraud service is enabled, use this field to pass in the amount used for fraud screening for Credit Card validation transactions. Two-decimal amount is supported. If the `screeningAmount` field is not specified, the authorization amount is used for fraud screening.
  - `securityCode` (string, optional) — CVV or CVV2 security code of the credit card. To ensure PCI compliance, this value is not stored and cannot be queried.
  - `skipValidation` (boolean, optional, default: false) — Specify whether to skip the validation of the information through the payment gateway. For example, when migrating your payment methods, you can set this field to `true` to skip the validation.
  - `tokenize` (boolean, optional, default: false) — Specify `true` to tokenize the payment method with the card information. Currently, this field is only supported on certain integrations. See this article for more information.
  - `tokens` (CreatePaymentMethodCreditCardTokens, optional) — To create tokenized payment methods, pass in the existing token information through the fields in this container. Currently, this field is only supported on certain integrations. See this article for more information.
- `type`: `CreditCardReferenceTransaction` (CreditCardReferenceTransaction)
  - `tokenId` (string, required) — A gateway unique identifier that replaces sensitive payment method data or represents a gateway's unique customer profile. When `tokenId` is used to represent a customer profile, `secondTokenId` is conditionally required for representing the underlying tokenized payment method. The values for the `tokenId` and `secondTokenId` fields differ for gateways. For more information, see the Knowledge Center article specific to each gateway that supports the CC Reference Transaction payment method.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `creditCardMaskNumber` (string, optional) — The masked credit card number, such as `*********1112`. This field is specific for the CC Reference Transaction payment method. It is an optional field that you can use to distinguish different CC Reference Transaction payment methods. Though there are no special restrictions on the input string, it is highly recommended to specify a card number that is masked.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodCcReferenceTransactionGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodCcReferenceTransactionMandateInfo, optional) — The container of the mandate information for the payment method.
  - `secondTokenId` (string, optional) — A gateway unique identifier that replaces sensitive payment method data. `secondTokenId` is conditionally required only when `tokenId` is being used to represent a gateway customer profile. `secondTokenId` is used in the CC Reference Transaction payment method.
  - `skipValidation` (boolean, optional, default: false) — Specify whether to skip the validation of the information through the payment gateway. For example, when migrating your payment methods, you can set this field to `true` to skip the validation.
- `type`: `ACH` (ACH)
  - `bankABACode` (string, required) — The nine-digit routing number or ABA number used by banks. This field is only required if the `type` field is set to `ACH`.
  - `bankAccountName` (string, required) — The name of the account holder, which can be either a person or a company. For ACH payment methods on the BlueSnap integration, see [Overview of BlueSnap gateway integration](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways/BlueSnap_Gateway/Overview_of_BlueSnap_gateway_integration#Payer_Name_Extraction) for more information about how Zuora splits the string in this field into two parts and passes them to BlueSnap's `firstName` and `lastName` fields.
  - `bankAccountNumber` (string, required) — The bank account number associated with the ACH payment. For the creation of tokenized ACH payment methods, this field is optional. Currently, ACH tokenization is supported on selected payment gateway integrations.\ See this article for more information.
  - `bankAccountType` (enum, required) — The type of bank account associated with the ACH payment. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify any of the allowed values as a dummy value, `Checking` preferably.
    - Allowed values: `BusinessChecking`, `Checking`, `Saving`
  - `bankName` (string, required) — The name of the bank where the ACH payment account is held. When creating an ACH payment method on Adyen, this field is required by Zuora but it is not required by Adyen. To create the ACH payment method successfully, specify a real value for this field if you can. If it is not possible to get the real value for it, specify a dummy value.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `addressLine1` (string, optional) — First address line, 255 characters or less.
  - `addressLine2` (string, optional) — Second address line, 255 characters or less.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `bankAccountMaskNumber` (string, optional) — The masked account number such as \*\*\*\*1234. Currently, this field is only supported on certain integrations. See this article for more information.
  - `city` (string, optional) — City, 40 characters or less. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing.
  - `country` (string, optional) — Country, must be a valid country name or abbreviation. See View countries or regions for the list of supported country names and abbreviations. It is recommended to provide the city and country information when creating a payment method. The information will be used to process payments. If the information is not provided during payment method creation, the city and country data will be missing during payment processing.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodAchGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodAchMandateInfo, optional) — The container of the mandate information for the payment method.
  - `phone` (string, optional) — Phone number, 40 characters or less.
  - `processingOptions` (CreatePaymentMethodAchProcessingOptions, optional) — The container for payment method processing options.
  - `skipValidation` (boolean, optional, default: false) — Specify whether to skip the validation of the information through the payment gateway. For example, when migrating your payment methods, you can set this field to `true` to skip the validation.
  - `state` (string, optional) — State, must be a valid subregion (state or province) name or code. For more information, see View subregions of a specific country or region.
  - `tokenize` (boolean, optional, default: false) — Specify `true` to tokenize the payment method with the account information. Currently, this field is only supported on certain integrations. See this article for more information.
  - `tokens` (CreatePaymentMethodAchTokens, optional) — To create tokenized payment methods, pass in the existing token information through the fields in this container. Currently, this field is only supported on certain integrations. See this article for more information.
  - `zipCode` (string, optional) — Zip code, 20 characters or less.
- `type`: `SEPA` (SEPA)
  - `IBAN` (string, required) — The International Bank Account Number. This field is required if the `type` field is set to `SEPA`. However, for the creation of tokenized SEPA payment methods, this field is optional. Currently, SEPA tokenization is supported on selected payment gateway integrations. See this article for more information.
  - `accountHolderInfo` (CreatePaymentMethodSepaAccountHolderInfo, required) — The container for the account holder information. The nested `accountHolderName` field is required. However, for the creation of tokenized SEPA payment methods, this field is optional. Currently, SEPA tokenization is supported on selected payment gateway integrations. See this article for more information.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `accountMaskNumber` (string, optional) — The masked account number such as \*\*\*\*1234. When creating tokenized SEPA payment methods, this `accountMaskNumber` field is required if the `tokens` field is provided. Currently, SEPA tokenization is supported on selected payment gateway integrations. See this article for more information.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `businessIdentificationCode` (string, optional) — The BIC code used for SEPA.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodSepaGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodSepaMandateInfo, optional) — The container of the mandate information for the payment method.
  - `processingOptions` (CreatePaymentMethodSepaProcessingOptions, optional) — The container for payment method processing options.
  - `skipValidation` (boolean, optional, default: false) — Specify whether to skip the validation of the information through the payment gateway. For example, when migrating your payment methods, you can set this field to `true` to skip the validation.
  - `tokenize` (boolean, optional, default: false) — When creating a SEPA payment method on Adyen Integration v2.0, use this field to specify whether to tokenize the payment method with IBAN. If `tokenize` is `true`, `IBAN` is required. If the `tokens` field is provided, this `tokenize` field is not required. For more information about how to create tokenized SEPA payment methods on Adyen, see Tokenize SEPA payment methods on Adyen Integration v2.0.
  - `tokens` (CreatePaymentMethodSepaTokens, optional) — To create tokenized payment methods, pass in the existing token information through the fields in this container. Currently, SEPA tokenization is supported on selected payment gateway integrations. See this article for more information.
- `type`: `Betalingsservice` (Betalingsservice)
  - `accountHolderInfo` (CreatePaymentMethodBetalingsserviceAccountHolderInfo, required) — The container for the account holder information. The nested `accountHolderName` field is required.
  - `accountNumber` (string, required) — The number of the customer's bank account.
  - `bankCode` (string, required) — The sort code or number that identifies the bank. This is also known as the sort code.
  - `identityNumber` (string, required) — The identity number used for Bank Transfer.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `accountMaskNumber` (string, optional) — The masked account number such as ****1234.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodBetalingsserviceGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodBetalingsserviceMandateInfo, optional) — The container of the mandate information for the payment method.
  - `processingOptions` (CreatePaymentMethodBetalingsserviceProcessingOptions, optional) — The container for payment method processing options.
  - `skipValidation` (boolean, optional, default: false) — Specify whether to skip the validation of the information through the payment gateway. For example, when migrating your payment methods, you can set this field to `true` to skip the validation.
- `type`: `Autogiro` (Autogiro)
  - `accountHolderInfo` (CreatePaymentMethodAutogiroAccountHolderInfo, required) — The container for the account holder information. The nested `accountHolderName` field is required.
  - `accountNumber` (string, required) — The number of the customer's bank account.
  - `branchCode` (string, required) — The branch code of the bank used for direct debit.
  - `identityNumber` (string, required) — The identity number used for Bank Transfer.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `accountMaskNumber` (string, optional) — The masked account number such as ****1234.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodAutogiroGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodAutogiroMandateInfo, optional) — The container of the mandate information for the payment method.
  - `processingOptions` (CreatePaymentMethodAutogiroProcessingOptions, optional) — The container for payment method processing options.
  - `skipValidation` (boolean, optional, default: false) — Specify whether to skip the validation of the information through the payment gateway. For example, when migrating your payment methods, you can set this field to `true` to skip the validation.
- `type`: `Bacs` (Bacs)
  - `accountHolderInfo` (CreatePaymentMethodBacsAccountHolderInfo, required) — The container for the account holder information. The nested `accountHolderName` field is required.
  - `accountNumber` (string, required) — The number of the customer's bank account.
  - `bankCode` (string, required) — The sort code or number that identifies the bank. This is also known as the sort code.
  - `accountKey` (string, optional) — The customer account ID such as `2x92c0f859b0480f0159d3a4a6ee5bb6` or the customer account number such as `A02855638`. To create an orphan payment method that is not associated with any customer account, you can skip this field. As soon as the account information is available, associate the payment method with an account through the [Update a payment method](https://developer.zuora.com/v1-api-reference/api/operation/PUT_PaymentMethod/) operation.
  - `accountMaskNumber` (string, optional) — The masked account number such as \*\*\*\*1234. When creating BACS payment methods on Stripe, if the `tokens` field is provided, this `accountMaskNumber` field is required. For more information, see Overview of Stripe payment gateway integration.
  - `authGateway` (string, optional) — Internal ID of the payment gateway that Zuora will use to authorize the payments that are made with the payment method. If you do not set this field, Zuora will use one of the following payment gateways instead: * The default payment gateway of the customer account that owns the payment method, if the `accountKey` field is set. * The default payment gateway of your Zuora tenant, if the `accountKey` field is not set. If Payment Gateway Routing is enabled: * If this field is not specified, gateway routing rules will be invoked. * If this field is specified, the specified gateway will be used to process the payment. If Payment Gateway Routing is disabled: * If this field is not specified, the default payment gateway will be used to process the payment. The default gateway of the customer account takes precedence over the default gateway of the tenant. * If this field is specified, the specified gateway will be used to process the payment.
  - `currencyCode` (string, optional) — The currency used for payment method authorization.
  - `gatewayOptions` (CreatePaymentMethodBacsGatewayOptions, optional) — The field used to pass gateway-specific parameters and parameter values. The fields supported by gateways vary. For more information, see the Overview topic of each gateway integration in [Zuora Knowledge Center](https://knowledgecenter.zuora.com/Zuora_Billing/Billing_and_Payments/M_Payment_Gateways/Supported_Payment_Gateways). Zuora sends all the information that you specified to the gateway. If you specify any unsupported gateway option parameters, they will be ignored without error prompts.
  - `ipAddress` (string, optional) — The IPv4 or IPv6 information of the user when the payment method is created or updated. Some gateways use this field for fraud prevention. If this field is passed to Zuora, Zuora directly passes it to gateways. If the IP address length is beyond 45 characters, a validation error occurs. For validating SEPA payment methods on Stripe v2, this field is required.
  - `makeDefault` (boolean, optional, default: false) — Specifies whether the payment method will be the default payment method of the customer account that owns the payment method. Only applicable if the `accountKey` field is set. When you set this field to `true`, make sure the payment method is supported by the default payment gateway.
  - `mandateInfo` (CreatePaymentMethodBacsMandateInfo, optional) — The container of the mandate information for the payment method.
[...]
